> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Green Dot Cash Loads



## OpenAPI

````yaml api-reference/openapi-payments.json GET /greendot
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Payments
  version: 1.18.731-gcbd60cfd
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /greendot:
    get:
      tags:
        - Green Dot
      summary: List Green Dot Cash Loads
      parameters:
        - description: ID of the Account receiving the cash load. Filterable.
          in: query
          name: account_id
          schema:
            type: string
        - description: Current status of the cash load. Filterable.
          in: query
          name: status
          schema:
            type: string
        - description: Pagination cursor, value is the object ID.
          in: query
          name: page_cursor
          schema:
            type: string
        - description: >-
            Limits the number of objects in the returned list, value must be a
            number greater than or equal to 1. Defaults to 100.
          in: query
          name: page_size
          schema:
            default: 100
            minimum: 1
            type: integer
        - description: >-
            Lists the objects created on the date provided and onwards. Date
            must be in ISO 8601 format (“YYYY-MM-DD”).
          in: query
          name: from_date
          schema:
            type: string
        - description: >-
            Lists the objects created before the date provided. Date must be in
            ISO 8601 format (“YYYY-MM-DD”).
          in: query
          name: to_date
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  summary: Success
                  value:
                    data:
                      - account_id: acct_1234567890
                        amount: '25.00'
                        authorized_at: '2024-01-15T14:30:00Z'
                        available_at: null
                        bank_id: bank_vado
                        barcode_number: '1234567890'
                        channel_type: mobile
                        completed_at: null
                        created_at: '2024-01-15T14:30:00Z'
                        device_type: mobile
                        email_address: example@example.com
                        expired_at: null
                        expires_at: '2024-01-15T14:45:00Z'
                        id: gdep_1029384756
                        ip_address: 192.168.1.100
                        latitude: '39.724121'
                        longitude: '-94.793228'
                        retailer_key: '1234'
                        status: pending
                        updated_at: '2024-01-15T14:30:00Z'
                        voided_at: null
              schema:
                properties:
                  data:
                    items:
                      properties:
                        account_id:
                          description: >-
                            ID of the Account receiving the cash load.
                            Filterable.
                          type: string
                        amount:
                          description: >-
                            Amount of money being loaded. It cannot be specified
                            when creating the barcode.
                          pattern: ^-?[0-9]+[.][0-9][0-9]$
                          type: string
                        authorized_at:
                          description: Timestamp when the cash load was authorized
                          type: string
                        available_at:
                          description: Timestamp when funds became available
                          type: string
                        bank_id:
                          description: ID of the bank with which this object is associated
                          type: string
                        barcode_number:
                          description: >-
                            The barcode number used to generate a barcode image
                            for scanning at the Point of Sale
                          type: string
                        channel_type:
                          description: Where is the cash load barcode being generated
                          type: string
                        completed_at:
                          description: Timestamp when the cash load was completed
                          type: string
                        device_type:
                          description: Type of device used for the cash load
                          type: string
                        email_address:
                          description: >-
                            Verified email address of the end user the cash load
                            is for
                          type: string
                        error:
                          description: >-
                            The reason the deposit was voided. Not every voided
                            deposit will have an error. But deposits voided by
                            Treasury Prime will have an error, either because we
                            rejected the authorization or because Green Dot
                            later told us the barcode was no longer good.
                          type: string
                        expired_at:
                          description: Timestamp when the cash load expired
                          type: string
                        expires_at:
                          description: >-
                            Timestamp of when the cash load will expire. This is
                            defined by Green Dot when the barcode is created.
                          type: string
                        id:
                          description: Unique identifier for object
                          type: string
                        ip_address:
                          description: >-
                            IP address of the client device from which the cash
                            load was initiated
                          type: string
                        latitude:
                          description: >-
                            Latitude of the client's device when generating the
                            barcode
                          type: string
                        longitude:
                          description: >-
                            Longitude of the client's device when generating the
                            barcode
                          type: string
                        metadata:
                          description: >-
                            Metadata from Green Dot. This data is populated when
                            the cash load is authorized.
                          type: object
                        retailer_key:
                          description: Retail key identifier from Green Dot
                          type: string
                        status:
                          description: Current status of the cash load. Filterable.
                          type: string
                        voided_at:
                          description: Timestamp when the cash load was voided
                          type: string
                      type: object
                    type: array
          description: >-
            A dictionary with a `data` property that contains a list of up to
            `page_size` greendot elements, starting after the greendot described
            by `page_cursor`. If no more greendots are available, the resulting
            list will be empty.
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````